.checkbox
  display: flex
  flex-direction: row
  align-items: center
  flex-wrap: wrap
  position: relative
  &__question
    font-family: $mainFont
    line-height: 1.2
    color: $colorMain
    display: block
    width: 100%
    text-align: left
    +media((font-size: (xs: rem(12), md: rem(15)),
    margin-bottom: (xs: rem(6), md: rem(13))))
  &__label
    position: relative
    display: flex
    flex-direction: row
    align-items: flex-start
    cursor: pointer
    flex-shrink: 0
    width: 100%
    flex-wrap: wrap
    &:before
      content: ''
      display: inline-block
      width: rem(16)
      height: rem(16)
      border-radius: 0.125rem
      border: 0.063rem solid #e0e0e0
      margin: 0 rem(10) rem(10) 0
    &:after
      position: absolute
      content: ""
      display: inline-block
      width: rem(8)
      height: rem(8)
      top: 0
      left: 0
      transform: translate(50%, 50%)
      border-radius: 0.063rem
      background-color: $colorMain
    &:hover
      color: $colorMain
      &:before
        border-color: $colorMain
  &__text
    color: $textColorMain
    font-family: $Avenir
    font-weight: 500
    font-size: 0.875rem
    line-height: 1.25
    display: inline-block
    text-align: left
    margin-bottom: rem(10)
  &__input
    opacity: 0
    width: 0
    height: 0
    position: absolute
    + .checkbox__label:after
      content: none
    &:checked
      + .checkbox__label
        color: $colorMain
        &:before
          border-color: $colorMain
        &:after
          content: ""
    &:focus
      + .checkbox__label::before
        outline: rgb(59, 153, 252) auto rem(5)
  &__error
    position: absolute
    bottom: 0
    transform: translateY(100%)
    display: none
    .error
      font-family: $mainFont
      font-size: rem(12)
      line-height: 1.25
      color: $colorMain
      text-align: left
  &--error
    animation-name: shakeError
    animation-fill-mode: forward
    animation-duration: .6s
    animation-timing-function: ease-in-out
    .checkbox
      &__error
        display: block
